.app__products__description{
    width: 95%;
    padding: 2.75em 0;
}

#gift {
    width: 100%;
    margin: auto;
    margin-top: 2rem;
    padding: 1rem;
    border-radius: 5px;
    background: #000;
    display: flex !important;
    flex-direction: row;
    align-items: center;
    justify-content: left;
    position: relative;
    text-align: left !important;
    max-width: 700px;
}

#gift .set {
    margin: 0;
    padding: 1rem;
    background-color: #fff;
    padding-bottom: 0;
    border-radius: 5px;
}

#gift img {
    width: 100%;
    max-width: 300px;
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: .3s;
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1)
}

#gift img:hover {
    -webkit-transform: scale(0.97);
    -ms-transform: scale(0.97);
    transform: scale(0.97)
}

#gift .text {
    display: flex;
    flex-direction: column;
    align-items: start;
    margin-left: 2rem;
    transition: .2s;
}

#gift .text h2 {
    color: #fff;
    transition: .2s;
    font-size: 1.5rem;
}

#gift .text p {
    color: #fff;
    transition: .2s;
    max-width: 400px;
    font-size: 1rem;
}

#gift .text p span{
    color: #fff;
    opacity: .5;
    transition: .2s;
    max-width: 400px;
    font-size: .8rem;
}

#gift .text a.btn-size-default {
    margin-top: 10px;
    border-radius: 2px;
    background-color: #fff !important;
    border: #fff !important;
    color: #000 !important;
    font-weight: bold;
}

#gift .text a.btn-size-default:hover {
    background-color: #C60000!important;
    border: #C60000!important;
    color: #fff !important;
}

.fade-in-up {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 1s ease-out, transform 1s ease-out;
}

.fade-in-up.show {
    opacity: 1;
    transform: translateY(0);
}

@media (max-width:1024px) {
    #gift .text {
        margin-left: 30px;
    }
}

@media (max-width:820px) {
    
    #gift .set {
        padding: 10px;
    }
    #gift img {
        max-width: 200px;
    }
}

@media (max-width:575px) {
    #gift {
        flex-direction: column;
        max-width: 500px;
        margin-top: 1rem;
        align-items: start;
    }
    #gift img {
        max-width: none;
    }
    #gift .text {
        margin: 1rem 0;
        align-items: start !important;
        text-align: start;
    }
    /* 用 order 調整順序 (數字越小越上面) */
    #gift .text h2 { order: 1; }
    #gift .text h3 { order: 2; }
    #gift .text p { order: 4; }
    #gift .text .button { display: none; }
}

@media (max-width:500px) {
    #gift .text h2 {
        font-size: 1.25rem;
    }
    #gift .text p {
        font-size: .9rem;
    }
}